<div class="modal" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1>{{'equipmentCategory.addEquipmentCategory' | message}}</h1>
            </div>
            <div class="modal-body">
                <form id="add-equipment-category-form" ng-submit="vm.save()">
                    <label for="equipmentCategoryName">{{'equipmentCategory.categoryName' | message}}</label>
                    <input id="equipmentCategoryName" type="text" ng-model="vm.equipmentCategory.name"  required />
                    <label for="equipmentCategoryCode">{{'equipmentCategory.categoryCode' | message}}</label>
                    <input id="equipmentCategoryCode" type="text" ng-model="vm.equipmentCategory.code"  required />
                    <label for="equipmentType">{{'equipmentCategory.type' | message}}</label>
                    <select id="equipmentType" ng-model="vm.equipmentCategory.type" ng-options="type as type.name for type in vm.equipmentTypes track by type.id" required></select>
                    <label for="discipline">{{'equipmentCategory.discipline' | message}}</label>
                    <select id="discipline" ng-model="vm.equipmentCategory.discipline" ng-options="equipmentDiscipline as equipmentDiscipline.name for equipmentDiscipline in vm.disciplines track by equipmentDiscipline.id" required></select>
                    <label for="equipmentCategoryDisplayOrder">{{'equipmentCategory.categoryDisplayOrder' | message}}</label>
                    <input id="equipmentCategoryDisplayOrder" type="text" ng-model="vm.equipmentCategory.displayOrder"  required />
                    <label for="active">
                        <input id="active" type="checkbox" ng-model="vm.equipmentCategory.active" />
                        {{'equipmentCategory.active' | message}}
                    </label>
                </form>
            </div>
            <div class="modal-footer">
                <button id="cancel" ng-click="vm.goToPreviousState()">{{'equipmentCategory.cancel' | message}}</button>
                <button class="primary" form="add-equipment-category-form">{{'equipmentCategory.save' | message}}</button>
            </div>
        </div>
    </div>
</div>